PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

float PLASMA_clange_Tile | ( | PLASMA_enum | norm,
|  | PLASMA_desc * | A
| ) |  |

PLASMA_clange_Tile - Tile equivalent of PLASMA_clange(). Operates on matrices stored by tiles. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in] | norm | = PlasmaMaxNorm: Max norm = PlasmaOneNorm: One norm = PlasmaInfNorm: Infinity norm = PlasmaFrobeniusNorm: Frobenius norm
  [in] | A | On entry, the triangular factor U or L. On exit, if UPLO = 'U', the upper triangle of A is overwritten with the upper triangle of the product U * U'; if UPLO = 'L', the lower triangle of A is overwritten with the lower triangle of the product L' * L.

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_clange
  PLASMA_clange_Tile_Async
  PLASMA_clange_Tile
  PLASMA_dlange_Tile
  PLASMA_slange_Tile